<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
		"http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"
		xmlns:c="http://java.sun.com/jsp/jstl/core"
		xmlns:f="jakarta.faces.core"
		xmlns:h="jakarta.faces.html"
		xmlns:ui="jakarta.faces.facelets"
		xmlns:p="http://primefaces.org/ui"
		xmlns:of="http://omnifaces.org/functions">
<head>
	<title>Left side bar</title>
</head>
<body>
	<ui:composition>

	  <ul class="navigation-l1">
		<h:panelGroup rendered="#{sessionManager.isLoggedIn()}">
   			<li class="flyout"><a href="#{request.contextPath}/index.xhtml">#{messages.index}</a>
				<div class="dropdown">
					<ul class="navigation-l2">	
								
						<li class="">
							<h:link outcome="#{request.contextPath}/user/index.xhtml" value="#{messages.my_data}" />
						</li>
						
						<h:panelGroup rendered="#{headBarBean.getOrDefault('show_my_projects', 'false').equalsIgnoreCase('true')}">
							<li class="">
								<h:link outcome="#{request.contextPath}/project/index.xhtml" value="#{messages['project.my_projects']}" />
							</li>
						</h:panelGroup>	
												
						<h:panelGroup rendered="#{headBarBean.getOrDefault('show_my_emails', 'false').equalsIgnoreCase('true')}">
							<li class="">
								<h:link outcome="#{request.contextPath}/user/email-addresses.xhtml" value="#{messages['email_addresses.heading']}" />
							</li>
						</h:panelGroup>			
					
						<li class="">
							<h:link outcome="#{request.contextPath}/user/ssh-keys.xhtml" value="#{messages.my_ssh_keys}" />
						</li>
						<li class="">
							<h:link outcome="#{request.contextPath}/user/twofa.xhtml" value="#{messages.my_twofa}" />
						</li>
						<h:panelGroup rendered="#{headBarBean.getOrDefault('show_local_logout', 'false').equalsIgnoreCase('true')}">
							<li class="">
								<h:link outcome="#{request.contextPath}/user/local-logout.xhtml" value="#{messages.logout}" />
							</li>
						</h:panelGroup>
					</ul>
				</div>   			
   			</li>
			<li class="flyout"><a href="#{request.contextPath}/index.xhtml">#{messages.registered_services}</a>
				<div class="dropdown">
					<ul class="navigation-l2">
						<ui:repeat var="registry" value="#{authorizationBean.userRegistryList}">
							<li class="has-submenu">
								<h:link	outcome="/service/index.xhtml" value="#{registry.service.name}">
									<f:param name="serviceId" value="#{registry.service.id}" />
								</h:link>
								<div class="submenu">
									<ul class="navigation-l3">
										<li class="">
											<h:link outcome="/service/registry-detail.xhtml" value="#{messages.registry_details}">
												<f:param name="regId" value="#{registry.id}" />
											</h:link>
										</li>
									</ul>
									<ul class="navigation-l3">
										<h:panelGroup rendered="#{registry.registryStatus == 'ACTIVE' and authorizationBean.isPasswordCapable(registry.service)}">
											<li class="">
												<h:link outcome="/service/set-password.xhtml" value="#{messages.set_password}">
													<f:param name="registryId" value="#{registry.id}" />
												</h:link>
											</li>
										</h:panelGroup>
									</ul>
									<ul class="navigation-l3">
										<h:panelGroup rendered="#{registry.registryStatus == 'ACTIVE' and authorizationBean.isSshPubKeyCapable(registry.service)}">
											<li class="">
												<h:link outcome="/service/set-sshkey.xhtml" value="#{messages.set_ssh_pub_key}">
													<f:param name="registryId" value="#{registry.id}" />
												</h:link>
											</li>
										</h:panelGroup>
									</ul>
								</div></li>
						</ui:repeat>
					</ul>
				</div>
			</li>
			<li class="flyout"><a href="#{request.contextPath}/index.xhtml">#{messages.services}</a>
 				<div class="dropdown">
					<ul class="navigation-l2">
						<ui:repeat var="service" value="#{authorizationBean.unregisteredServiceList}">
							<li class="has-submenu">
								<h:link	outcome="/service/index.xhtml" value="#{service.name}">
									<f:param name="serviceId" value="#{service.id}" />
								</h:link>
								<div class="submenu">
									<ul class="navigation-l3">
										<li class="">
											<h:link outcome="/user/register-service.xhtml" value="#{messages.register}">
												<f:param name="serviceId" value="#{service.id}" />
											</h:link>
										</li>
									</ul>
								</div></li>
						</ui:repeat>
					</ul>
				</div>
   			</li>
   			<h:panelGroup rendered="#{authorizationBean.serviceApproverList.size() gt 0}">
				<li class="flyout"><a href="">#{messages.approver}</a>
					<div class="dropdown">
						<ul class="navigation-l2">
							<li class="has-submenu">
								<a href="">#{messages.new_approvals}</a>
								<ui:repeat var="service" value="#{authorizationBean.serviceApproverList}">
									<div class="submenu">
										<ul class="navigation-l3">
											<li class="">
												<h:link outcome="/service-approver/index.xhtml" value="#{service.name}">
													<f:param name="serviceId" value="#{service.id}" />
												</h:link>
											</li>
										</ul>
									</div>
								</ui:repeat>
							</li>
						</ul>
					</div>
				</li>
   			</h:panelGroup>
   			<h:panelGroup rendered="#{authorizationBean.serviceAdminList.size() gt 0}">
				<li class="flyout"><a href="">Admin</a>
					<div class="dropdown">
						<ul class="navigation-l2">
							<ui:repeat var="service" value="#{authorizationBean.serviceAdminList}">
								<li class="has-submenu">
									<h:link outcome="/service-admin/index.xhtml" value="#{service.name}">
										<f:param name="serviceId" value="#{service.id}" />
									</h:link>
									<div class="submenu">
										<ul class="navigation-l3">
											<li class="">
								    	        <h:link outcome="/service-admin/index.xhtml" value="#{messages.service_props}">
								    	        	<f:param name="serviceId" value="#{service.id}" />
								    	        </h:link>
											</li>
										</ul>
										<ul class="navigation-l3">
											<li class="">
								    	        <h:link outcome="/service-admin/list-service-users.xhtml" value="#{messages.service_users}">
								    	        	<f:param name="serviceId" value="#{service.id}" />
								    	        </h:link>
											</li>
										</ul>
										<ul class="navigation-l3">
											<li class="">
								    	        <h:link outcome="/service-admin/list-service-users-for-depro.xhtml" value="#{messages.service_users_depro}">
								    	        	<f:param name="serviceId" value="#{service.id}" />
								    	        </h:link>
											</li>
										</ul>
										<ul class="navigation-l3">
											<li class="">
								    	        <h:link outcome="/service-admin/service-stats.xhtml" value="#{messages.statistics}">
								    	        	<f:param name="serviceId" value="#{service.id}" />
								    	        </h:link>
											</li>
										</ul>
									</div>
								</li>
							</ui:repeat>
						</ul>
					</div>
				</li>
   			</h:panelGroup>

   			<h:panelGroup rendered="#{authorizationBean.serviceGroupAdminList.size() gt 0}">
				<li class="flyout"><a href="#{request.contextPath}/index.xhtml">#{messages.group_admin}</a>
					<div class="dropdown">
						<ul class="navigation-l2">
							<li class="has-submenu">
								<a>#{messages.group_admin}</a>
									<ui:repeat var="service" value="#{authorizationBean.serviceGroupAdminList}">
									<div class="submenu">
										<ul class="navigation-l3">
											<li class="">
								    	        <h:link outcome="/service-group-admin/index.xhtml" value="#{service.name}">
								    	        	<f:param name="serviceId" value="#{service.id}" />
								    	        </h:link>
											</li>
										</ul>
									</div>
								</ui:repeat>
							</li>
						</ul>
					</div>
				</li>
   			</h:panelGroup>

   			<h:panelGroup rendered="#{authorizationBean.serviceProjectAdminList.size() gt 0}">
				<li class="flyout"><a href="#{request.contextPath}/index.xhtml">#{messages.project_admin}</a>
					<div class="dropdown">
						<ul class="navigation-l2">
							<li class="has-submenu">
								<a>#{messages.project_admin}</a>
									<ui:repeat var="service" value="#{authorizationBean.serviceProjectAdminList}">
									<div class="submenu">
										<ul class="navigation-l3">
											<li class="">
								    	        <h:link outcome="/service-project-admin/index.xhtml" value="#{service.name}">
								    	        	<f:param name="serviceId" value="#{service.id}" />
								    	        </h:link>
											</li>
										</ul>
									</div>
								</ui:repeat>
							</li>
						</ul>
					</div>
				</li>
   			</h:panelGroup>

			<li class="home"><a href="#{request.contextPath}/index.xhtml"><span>Startseite</span></a></li>
		</h:panelGroup>
	  </ul>

	</ui:composition>
</body>
</html>